import { ColumnPinning } from './ColumnPinning';
import { IgcDataGridComponent } from "./igc-data-grid-component";
import { BaseControlTheme } from "igniteui-webcomponents-core";
import { ControlDisplayDensity } from "igniteui-webcomponents-core";
import { IgcHTMLElement } from "igniteui-webcomponents-core";
export declare class IgcColumnPinningComponent extends IgcHTMLElement {
    private _height;
    private _width;
    height: string;
    width: string;
    private _container;
    private _renderer;
    constructor();
    updateStyle(): void;
    destroy(): void;
    protected createImplementation(): ColumnPinning;
    private _columnPinning;
    private _disconnected;
    disconnectedCallback(): void;
    connectedCallback(): void;
    afterContentInit(): void;
    protected _implementation: any;
    /**
     * @hidden
     */
    readonly i: ColumnPinning; /**
                                 * @hidden
                                 */
    static _createFromInternal(internal: any): IgcColumnPinningComponent;
    private _settingAttributes;
    protected _attached: boolean;
    private _queuedSetAttributes;
    protected _enqueueSetAttribute(attrName: string, attrValue: string): void;
    protected _flushQueuedAttributes(): void;
    protected _a(attrName: string, attrValue: any): void;
    private static _observedAttributesIgcColumnPinningComponent;
    static readonly observedAttributes: string[];
    private _updatingFromAttribute;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    static htmlTagName: string;
    protected static _isElementRegistered: boolean;
    static register(): void;
    /**
 * Gets or Sets the property name that contains the values.
*/
    targetGrid: IgcDataGridComponent;
    /**
     * Gets or Sets the property name that contains the values.
    */
    title: string;
    /**
     * Gets or Sets the property name that contains the values.
    */
    titleStyle: string;
    /**
     * Gets or Sets the property name that contains the values.
    */
    titleColor: string;
    /**
     * Gets or Sets the property name that contains the values.
    */
    filterPlaceholderText: string;
    /**
     * Gets or Sets the property name that contains the values.
    */
    baseTheme: BaseControlTheme;
    /**
     * Gets or Sets the property name that contains the values.
    */
    density: ControlDisplayDensity;
    /**
     * Gets or Sets the property name that contains the values.
    */
    backgroundColor: string;
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected readonly hasUserValues: Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
}
